tigase.jaxmpp.core.client

## Interface Connector.StanzaSendingHandler

- All Superinterfaces:
    EventHandler
  Enclosing interface:
    Connector

      public static interface Connector.StanzaSendingHandler
      extends EventHandler

  Implemented by handlers of StanzaSendingEvent.

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Interface and Description
    --- | ---
    `static class` | `Connector.StanzaSendingHandler.StanzaSendingEvent` Fired when stanza is sending.

  - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `onStanzaSending(SessionObject sessionObject, Element stanza)` Called when StanzaSendingEvent is fired.

- - ### Method Detail

    - #### onStanzaSending

          void onStanzaSending(SessionObject sessionObject,
                               Element stanza)
                        throws JaxmppException

      Called when StanzaSendingEvent is fired.
      Parameters:
        `sessionObject` - session object related to connection.
        `stanza` - stanza to be sent.
      Throws:
        `JaxmppException`

Copyright © 2006–2020 Tigase. All rights reserved.